const MAX_STRING_LENGTH: usize = 128;

#[nrf_softdevice::gatt_service(uuid = "437dc41e-d899-40ac-9c83-188c8c4d9fe7")]
pub struct ConfigService {
    #[characteristic(uuid = "e7b9ebd9-57e0-4821-8fa3-55e22cd7b705", read, write)]
    #[description = "WiFi SSID"]
    pub wifi_ssid: [u8; MAX_STRING_LENGTH],
    #[characteristic(uuid = "1bcc70df-179e-4853-bb74-c22380f491a3", read, write)]
    pub wifi_pw: [u8; MAX_STRING_LENGTH],
    #[characteristic(uuid = "3c9e4967-f792-4903-a968-490271cb7eeb", read, write)]
    pub mqtt_broker: [u8; MAX_STRING_LENGTH],
}
